set -e
USER=postgres
DBASE=tt
CONNECT0="-U $USER"
CONNECT="$CONNECT0 -d ${DBASE}"
OGRCONNECT="PG:user=${USER} dbname=${DBASE}"
PSQL="psql ${CONNECT} -v ON_ERROR_STOP=ON"
PSQLC="${PSQL} -c"
PSQLAC="${PSQL} -t -A -c"
SP="set search_path=toppie,public,topology"
TARGET=all
TARGET=triangle_outside0
WORKDIR=../work/topology_polygon_tools
LOGDIR=${WORKDIR}/tests/logs
OUTPUTDIR=${WORKDIR}/tests/output
DIFF_DIR=${WORKDIR}/tests/diffs

TARGET=all

function load_sample() {
  schem=$(${PSQLAC} "SELECT schema_name FROM information_schema.schemata WHERE schema_name = 'toppie'")
  if [ ! -z $schem ]
  then
    ${PSQLC} "SELECT  topology.DropTopology('toppie')"
  fi
  ${PSQLC} "SELECT topology.CreateTopology('toppie', 4326)"
  ogr2ogr -overwrite -f PostgreSQL "${OGRCONNECT}" -t_srs EPSG:4326 -lco GEOMETRY_NAME=geom -nln inp edges.geojson
  $PSQLC "${SP};SELECT TopoGeo_AddLineString('toppie', geom) FROM inp" | cat
}

if [ $TARGET = new ] || [ $TARGET = all ]
then
  dropdb ${CONNECT0} $DBASE || :
  createdb ${CONNECT0} $DBASE
  ${PSQLC} "CREATE EXTENSION postgis"
  ${PSQLC} "CREATE EXTENSION postgis_topology"

  load_sample edges
  ogr2ogr -overwrite -f PostgreSQL "${OGRCONNECT}" -t_srs EPSG:4326 -lco GEOMETRY_NAME=geom -nln pols bad_pol.geojson
  $PSQLC "${SP};SELECT TopoGeo_AddPolygon('toppie', geom) FROM pols" | cat
fi
